<!DOCTYPE html>
<html>
    <head>
		<meta charset="utf-8">
        <title>PREMIERS PAS AVEC JS</title>
	</head>
	<style>

	
	</style>
	<body>
		
	</body>
	<script type="text/javascript">
	
		/* ACTION : Retourne un nombre aléatoire entre min et max
		*  PRE-REQUIS : max > min
		*/
		function donneNombreAleatoire(min, max){
			var delta = max-min;
			return Math.round(Math.random()*delta)+min;
		}
		
		function saisieTableau(){
			var tableau = [];
			var nombre = parseInt(prompt("Un nombre entier positif stp"));
			while (nombre > -1){
				tableau.push(nombre);
				nombre = parseInt(prompt("Un nombre entier positif stp"));
			}
			return tableau;
		}

		
		/* ACTION : Retourne un tableau généré aléatoirement contenant nb chiffre aleatoire compris 
		* 			entre 1 et 49
		*  PRE-REQUIS : nb > 0
		*  Option : Ne pas mettre deux fois le même nombre dans le tableau
		*/


		function genereTableauAleatoirement(nb) {
		
            var tab = [];
            
            for (var i = 1; i <= nb ; i++){

                var nombre = donneNombreAleatoire(1,49);
                tab.push(nombre);
            }

            return tab;

		}

		/* ACTION : Retourne vrai si la valeur element existe dans le tableau tab, faux sinon
		*  PRE-REQUIS : aucun
		*/

		function existe(tab, element){

            for (var i = 0 ; i <= tab.length -1 ; i++){

                if(tab[i] == element){
                    return true;
                }
                else {return false}
            }
		}
		
		/* ACTION : Compare les deux tableau et retourne le nombre d'element en commun
		*  PRE-REQUIS : On considère que Tab1 et Tab2 ne possèdent pas de doublons
		*  METHODE : On peut utiliser la fonction existe
		*/
		function compare(tab1, tab2){

			var compteur = 0;

			for (var i = 0 ; i <= tab1.length -1 ; i++){

				for(var j = 0 ; j <= tab2.length -1 ; j++){

					if(tab1[i] == tab2[j]){
						compteur += 1;
					}
					
				}

			}
			return compteur;
		}


		
		/* ACTION : Ecrire une fonction qui retourne l'aire du cercle
		*  PRE-REQUIS : aucun
		*  METHODE : PI*R²
		*/
		function aire(rayon) {

			var aireCercle = Math.PI * rayon *rayon;
			return aireCercle;
		}

		
		/* ACTION : Ecrire une fonction qui retourne le périmètre du cercle
		*  PRE-REQUIS : aucun
		*  METHODE : 2*PI*R
		*/
		function perimetre(rayon) {

			var perimetreCercle = 2 * Math.PI * rayon;
			return perimetreCercle;
		}
		
		
		/* ACTION : Ecrire une fonction qui retourne l'imc indice de masse corporelle
		*  PRE-REQUIS : taille > 0
		*  METHODE : poids / taille²
		*/
		function imc(poids, taille) {

			var poids; var taille;
			var valeurImc = poids/(taille*taille);
			return valeurImc;
		}
		
		
		/*
		* ACTION : Le programme principal 
		*	1) Demande à l'utilisateur son nom
		*	2) Demande de saisir un chiffre N
		*	3) Génère un tableau TAB de N chiffre (rayons de cercle)
		*	4) Demande de saisir un chiffre N2
		*   5) Vérifie si le chiffre N2 existe dans le tableau
		*   6) A partir de TAB générer un tableau TAB2 avec le périmètre des cercles (Bonus secret)
		*   7) A partir de TAB générer un tableau TAB3 avec les aires des cercles (Bonus secret)
		*
		*/
		function principal(){
			
			var nom = prompt('Quel est votre nom ?');
			var n = prompt('Donnez moi un nombre');
			var tab = genereTableauAleatoirement(n);
			var n2 = prompt('Donnez moi un autre nombre');
			existe(tab, n2);
			var tab2 = [];
			for (var i = 0 ; i <= tab.length -1; i++){
			
				tab2.push(perimetre(tab[i]));	
			};

			var tab3 = [];

			for (var j = 0 ; j <= tab.length -1; j++){
			
				tab3.push(aire(tab[j]));	
			};
			console.log(tab);console.log(tab2); console.log(tab3);	
		}
		
		
		principal();
				
	</script>
	
</html>

